Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents
Class ResourceItems<TValue extends PdfObjectWrapper<?>>

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.contents.ResourceItems<TValue>

All Implemented Interfaces:
  Cloneable, Map<PdfName,TValue>, IPdfObjectWrapper

Direct Known Subclasses:
  ColorSpaceResources, ExtGStateResources, FontResources, PatternResources, PropertyListResources, ShadingResources, XObjectResources

    @PDF(value=PDF10)
    public abstract class ResourceItems<TValue extends PdfObjectWrapper<?>>

extends PdfObjectWrapper<PdfDictionary>
implements Map<PdfName,TValue>

Collection of a specific resource type.

Since:
  0.1.0
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`protected` | `ResourceItems(Document context)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object value)`
`Set<Map.Entry<PdfName,TValue>>` | `entrySet()`
`TValue` | `get(Object key)`
`PdfName` | `getKey(TValue value)` Gets the key associated to a given value.
`boolean` | `isEmpty()`
`Set<PdfName>` | `keySet()`
`TValue` | `put(PdfName key, TValue value)`
`void` | `putAll(Map<? extends PdfName,? extends TValue> entries)`
`TValue` | `remove(Object key)`
`int` | `size()`
`Collection<TValue>` | `values()`
`protected abstract TValue` | `wrap(PdfDirectObject baseObject)` Wraps a base object within its corresponding high-level representation.

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, clone, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### ResourceItems

    protected ResourceItems(Document context)

Method Detail

### getKey

    public PdfName getKey(TValue value)

  Gets the key associated to a given value.

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map<PdfName,TValue extends PdfObjectWrapper<?>>`

### containsKey

    public boolean containsKey(Object key)

  Specified by:
    `containsKey` in interface `Map<PdfName,TValue extends PdfObjectWrapper<?>>`

### containsValue

    public boolean containsValue(Object value)

  Specified by:
    `containsValue` in interface `Map<PdfName,TValue extends PdfObjectWrapper<?>>`

### entrySet

    public Set<Map.Entry<PdfName,TValue>> entrySet()

  Specified by:
    `entrySet` in interface `Map<PdfName,TValue extends PdfObjectWrapper<?>>`

### get

    public TValue get(Object key)

  Specified by:
    `get` in interface `Map<PdfName,TValue extends PdfObjectWrapper<?>>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map<PdfName,TValue extends PdfObjectWrapper<?>>`

### keySet

    public Set<PdfName> keySet()

  Specified by:
    `keySet` in interface `Map<PdfName,TValue extends PdfObjectWrapper<?>>`

### put

    public TValue put(PdfName key,
                      TValue value)

  Specified by:
    `put` in interface `Map<PdfName,TValue extends PdfObjectWrapper<?>>`

### putAll

    public void putAll(Map<? extends PdfName,? extends TValue> entries)

  Specified by:
    `putAll` in interface `Map<PdfName,TValue extends PdfObjectWrapper<?>>`

### remove

    public TValue remove(Object key)

  Specified by:
    `remove` in interface `Map<PdfName,TValue extends PdfObjectWrapper<?>>`

### size

    public int size()

  Specified by:
    `size` in interface `Map<PdfName,TValue extends PdfObjectWrapper<?>>`

### values

    public Collection<TValue> values()

  Specified by:
    `values` in interface `Map<PdfName,TValue extends PdfObjectWrapper<?>>`

### wrap

    protected abstract TValue wrap(PdfDirectObject baseObject)

  Wraps a base object within its corresponding high-level representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.